#ifndef __RUGBY_SCORE_STORE_H__
#define __RUGBY_SCORE_STORE_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

enum
{
    RUGBY_SCORE_STORE_TRIES,
    RUGBY_SCORE_STORE_UTRIES,
    RUGBY_SCORE_STORE_KICKS,
    RUGBY_SCORE_STORE_TOOLTIP,
    RUGBY_SCORE_STORE_COLUMNS
};

#define RUGBY_TYPE_SCORE_STORE rugby_score_store_get_type ()
G_DECLARE_FINAL_TYPE (RugbyScoreStore, rugby_score_store, RUGBY, SCORE_STORE, GtkListStore)

RugbyScoreStore * rugby_score_store_new       (void);
gint              rugby_score_store_get_score (RugbyScoreStore *store);
void              rugby_score_store_set_score (RugbyScoreStore *store,
                                               gint             score);

G_END_DECLS

#endif /* __RUGBY_SCORE_STORE_H__ */
